Skip to main content
PUT
Update automation

Authorizations

Authorization
string
header
required

API token from the Zenedu dashboard

Path Parameters

bot
integer
required

Bot ID

automation
integer
required

Automation ID

Body

application/json
when_event
string
required

Event name from the catalog

then_action
string
required

Action name from the catalog

when_payload
object | null

Target fields for the event (see the catalog)

then_payload
object | null

Target fields for the action (see the catalog)

conditions
object[] | null

Optional conditions

Response

Automation updated

data
object